> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Update Global Order Settings

PUT https://api.bigcommerce.com/stores/{store_hash}/v3/orders/settings
Content-Type: application/json

Updates global order settings.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/order-operations/order-settings/update-global-order-settings

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Order Transactions | read and modify `transactions` and `payment_methods` | `store_v2_transactions` | | Order Transactions | read `transactions` and `payment_methods` | `store_v2_transactions_read_only` | | Orders | read and modify `payment_methods` |`store_v2_orders`| | Orders | read `payment_methods` |`store_v2_orders_read_only`| ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects a GlobalOrderSettings.

- `notifications` (GlobalOrderSettingsNotifications, optional) — Global notification settings.

## Response

### 200

OK

- `notifications` (OrdersSettingsPutResponsesContentApplicationJsonSchemaNotifications, optional) — Global notification settings.
- `meta` (metaEmpty_Full, optional) — Response metadata.

## Errors

### 400 Bad Request Error

Bad request. Authentication Required.

- `schema` (betaErrorResponse, optional) — Error payload for the BigCommerce API.

### 422 Unprocessable Entity Error

Order settings data is not valid. This is the result of missing required fields, or of invalid data. See the response for more details.

- `schema` (betaErrorResponse, optional) — Error payload for the BigCommerce API.

## Types

### GlobalOrderSettingsNotifications

Global notification settings.

- `order_placed` (GlobalOrderSettingsNotificationsOrderPlaced, optional) — Global order notification settings.
- `forward_invoice` (GlobalOrderSettingsNotificationsForwardInvoice, optional) — Global order invoice forward settings.

### OrdersSettingsPutResponsesContentApplicationJsonSchemaNotifications

Global notification settings.

- `order_placed` (OrdersSettingsPutResponsesContentApplicationJsonSchemaNotificationsOrderPlaced, optional) — Global order notification settings.
- `forward_invoice` (OrdersSettingsPutResponsesContentApplicationJsonSchemaNotificationsForwardInvoice, optional) — Global order invoice forward settings.

### metaEmpty_Full

Response metadata.

### betaErrorResponse

Error payload for the BigCommerce API.

- `status` (integer, optional) — The HTTP status code.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional)
- `errors` (BetaErrorResponseErrors, optional)

### GlobalOrderSettingsNotificationsOrderPlaced

Global order notification settings.

- `email_addresses` (list of string, optional) — Email addresses order notifications will be sent to. Empty array disables order notifications. Not nullable.

### GlobalOrderSettingsNotificationsForwardInvoice

Global order invoice forward settings.

- `email_addresses` (list of string, optional) — Email addresses order invoices will be forwarded to. Empty array disables forwarding order invoices. Not nullable.

### OrdersSettingsPutResponsesContentApplicationJsonSchemaNotificationsOrderPlaced

Global order notification settings.

- `email_addresses` (list of string, optional) — Email addresses order notifications will be sent to. Empty array disables order notifications. Not nullable.

### OrdersSettingsPutResponsesContentApplicationJsonSchemaNotificationsForwardInvoice

Global order invoice forward settings.

- `email_addresses` (list of string, optional) — Email addresses order invoices will be forwarded to. Empty array disables forwarding order invoices. Not nullable.

### BetaErrorResponseErrors

## Examples

### Enable Order Placed and Forward Invoice Notifications

**Request**

```json
{
  "notifications": {
    "order_placed": {
      "email_addresses": [
        "admin@example.com",
        "another-email@example.com"
      ]
    },
    "forward_invoice": {
      "email_addresses": [
        "admin@example.com",
        "another-email@example.com"
      ]
    }
  }
}
```

**Response**

```json
{
  "notifications": {
    "order_placed": {
      "email_addresses": [
        "string"
      ]
    },
    "forward_invoice": {
      "email_addresses": [
        "string"
      ]
    }
  },
  "meta": {}
}
```

**SDK Code**

```python Enable Order Placed and Forward Invoice Notifications
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/orders/settings"

payload = { "notifications": {
        "order_placed": { "email_addresses": ["admin@example.com", "another-email@example.com"] },
        "forward_invoice": { "email_addresses": ["admin@example.com", "another-email@example.com"] }
    } }
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Enable Order Placed and Forward Invoice Notifications
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/orders/settings';
const options = {
  method: 'PUT',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"notifications":{"order_placed":{"email_addresses":["admin@example.com","another-email@example.com"]},"forward_invoice":{"email_addresses":["admin@example.com","another-email@example.com"]}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Enable Order Placed and Forward Invoice Notifications
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/orders/settings"

	payload := strings.NewReader("{\n  \"notifications\": {\n    \"order_placed\": {\n      \"email_addresses\": [\n        \"admin@example.com\",\n        \"another-email@example.com\"\n      ]\n    },\n    \"forward_invoice\": {\n      \"email_addresses\": [\n        \"admin@example.com\",\n        \"another-email@example.com\"\n      ]\n    }\n  }\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Enable Order Placed and Forward Invoice Notifications
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/orders/settings")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"notifications\": {\n    \"order_placed\": {\n      \"email_addresses\": [\n        \"admin@example.com\",\n        \"another-email@example.com\"\n      ]\n    },\n    \"forward_invoice\": {\n      \"email_addresses\": [\n        \"admin@example.com\",\n        \"another-email@example.com\"\n      ]\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Enable Order Placed and Forward Invoice Notifications
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.bigcommerce.com/stores/store_hash/v3/orders/settings")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"notifications\": {\n    \"order_placed\": {\n      \"email_addresses\": [\n        \"admin@example.com\",\n        \"another-email@example.com\"\n      ]\n    },\n    \"forward_invoice\": {\n      \"email_addresses\": [\n        \"admin@example.com\",\n        \"another-email@example.com\"\n      ]\n    }\n  }\n}")
  .asString();
```

```php Enable Order Placed and Forward Invoice Notifications
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.bigcommerce.com/stores/store_hash/v3/orders/settings', [
  'body' => '{
  "notifications": {
    "order_placed": {
      "email_addresses": [
        "admin@example.com",
        "another-email@example.com"
      ]
    },
    "forward_invoice": {
      "email_addresses": [
        "admin@example.com",
        "another-email@example.com"
      ]
    }
  }
}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Enable Order Placed and Forward Invoice Notifications
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/orders/settings");
var request = new RestRequest(Method.PUT);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"notifications\": {\n    \"order_placed\": {\n      \"email_addresses\": [\n        \"admin@example.com\",\n        \"another-email@example.com\"\n      ]\n    },\n    \"forward_invoice\": {\n      \"email_addresses\": [\n        \"admin@example.com\",\n        \"another-email@example.com\"\n      ]\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Enable Order Placed and Forward Invoice Notifications
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["notifications": [
    "order_placed": ["email_addresses": ["admin@example.com", "another-email@example.com"]],
    "forward_invoice": ["email_addresses": ["admin@example.com", "another-email@example.com"]]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/orders/settings")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Disable Order Placed Notifications at Global Level

**Request**

```json
{
  "notifications": {
    "order_placed": {
      "email_addresses": []
    }
  }
}
```

**Response**

```json
{
  "notifications": {
    "order_placed": {
      "email_addresses": [
        "string"
      ]
    },
    "forward_invoice": {
      "email_addresses": [
        "string"
      ]
    }
  },
  "meta": {}
}
```

**SDK Code**

```python Disable Order Placed Notifications at Global Level
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/orders/settings"

payload = { "notifications": { "order_placed": { "email_addresses": [] } } }
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Disable Order Placed Notifications at Global Level
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/orders/settings';
const options = {
  method: 'PUT',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"notifications":{"order_placed":{"email_addresses":[]}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Disable Order Placed Notifications at Global Level
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/orders/settings"

	payload := strings.NewReader("{\n  \"notifications\": {\n    \"order_placed\": {\n      \"email_addresses\": []\n    }\n  }\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Disable Order Placed Notifications at Global Level
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/orders/settings")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"notifications\": {\n    \"order_placed\": {\n      \"email_addresses\": []\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Disable Order Placed Notifications at Global Level
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.bigcommerce.com/stores/store_hash/v3/orders/settings")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"notifications\": {\n    \"order_placed\": {\n      \"email_addresses\": []\n    }\n  }\n}")
  .asString();
```

```php Disable Order Placed Notifications at Global Level
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.bigcommerce.com/stores/store_hash/v3/orders/settings', [
  'body' => '{
  "notifications": {
    "order_placed": {
      "email_addresses": []
    }
  }
}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Disable Order Placed Notifications at Global Level
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/orders/settings");
var request = new RestRequest(Method.PUT);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"notifications\": {\n    \"order_placed\": {\n      \"email_addresses\": []\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Disable Order Placed Notifications at Global Level
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["notifications": ["order_placed": ["email_addresses": []]]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/orders/settings")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```